package com.yuchen.saas.parking.api.feign;

import com.yuchen.saas.parking.api.entity.PmgBatParkParking;
import com.yuchen.saas.parking.api.entity.PmgBatParkParkingEntrance;
import com.yuchen.saas.parking.api.entity.PmgBatParkParkingRoadway;
import com.yuchen.saas.parking.api.entity.PmgBatParkingApplyBinding;
import com.yuchen.saas.parking.api.vo.ParkingApplyDetailVO;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author 王勇
 * @version 1.0
 * @date 2021/5/25 17:14
 */
@Component
public class PmgBatParkParkingClientFallback implements PmgBatParkParkingClient {

    @Override
    public R<List<PmgBatParkParking>> listByType(Integer type, String name) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkParkingRoadway>> getRoadwayListByParkId(String parkId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkParkingRoadway>> getRoadwayListInByParkingId(String parkingId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkParkingEntrance>> getEntranceList(Long parkingId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R getChargeRuleListByParkId(Long parkId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R getChargeRuleList(Long parkId, Long parkingId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<PmgBatParkParking> getParkingById(Long id) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkParking>> findByParkId(Long parkId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkParking>> getParkingList() {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkParking>> findByDeptId(Long deptId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<String> getParkingNamesByIds(String parkingIds) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkParking>> list(String address, String name, String tenantId, String parkId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<ParkingApplyDetailVO> bindingDetail(Long parkingId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkingApplyBinding>> applyBindingParkingDetail(Long applyId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkParking>> findByParkIdNoPermissions(Long parkId) {
        return R.fail("远程调用失败");
    }
}
